PickListRenderer (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.renderkit.PickListRenderer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class PickListRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.PickListRenderer

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  PickListRendererGen

    public class PickListRenderer

extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

Nested Class Summary
`protected static class` | `PickListRenderer.ListStateFlags`

Field Summary

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`PickListRenderer()`

Method Summary
`void` | `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `encodeControlFacet(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, OrderingComponentRendererBase.ControlsHelper helper, java.lang.String clientId, javax.faces.context.ResponseWriter writer, boolean enabled, java.lang.String baseStyle, java.lang.String baseControlStyle)`
`void` | `encodeHiddenField(javax.faces.context.FacesContext context, UIPickList component, java.util.List<ConvertedSelectItem> lookupList)`
`void` | `encodeItem(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, ConvertedSelectItem selectItem, boolean source)`
`void` | `encodePickListControlsFacets(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, PickListRenderer.ListStateFlags listStateFlags)`
`void` | `encodeSourceRows(javax.faces.context.FacesContext context, UIPickList pickList, PickListRenderer.ListStateFlags flags, java.util.List<ConvertedSelectItem> convertedItems)`
`protected void` | `encodeSpacer(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.context.ResponseWriter writer)`
`void` | `encodeTargetRows(javax.faces.context.FacesContext context, UIPickList pickList, PickListRenderer.ListStateFlags flags, java.util.List<ConvertedSelectItem> convertedItems)`
`protected java.lang.String` | `findLocalisedLabel(javax.faces.context.FacesContext context, java.lang.String propertyId, java.lang.String bundleName)`
`java.lang.String` | `getAsEventHandler(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String attributeName)`
`protected java.util.List<java.lang.String>` | `getClassesAsList(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String attr)`
`java.lang.String` | `getColumnClassesAsJSArray(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.lang.Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`
`java.util.List<ConvertedSelectItem>` | `getConvertedItems(javax.faces.context.FacesContext context, UIPickList pickList)`
`java.lang.Object` | `getConvertedValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object submittedValue)`
`protected java.lang.ClassLoader` | `getCurrentLoader(java.lang.Object fallbackClass)`
`protected java.lang.Object` | `getCurrentValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.lang.String` | `getRowClassesAsJSArray(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.util.List<javax.faces.model.SelectItem>` | `getSelectItemsList(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.util.List<java.lang.Object>` | `getValuesList(UIPickList pickList)`
`protected void` | `renderDefaultControl(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.context.ResponseWriter writer, OrderingComponentRendererBase.ControlsHelper helper, java.lang.String clientId, boolean enabled, java.lang.String baseStyle, java.lang.String baseControlStyle)`
`void` | `reRenderScript(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.util.List<ConvertedSelectItem>` | `selectItemsForAvailableList(java.util.List<ConvertedSelectItem> selectItems)`
`protected java.util.List<ConvertedSelectItem>` | `selectItemsForSelectedList(java.util.List<ConvertedSelectItem> selectItems)`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts, getStyles`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PickListRenderer

    public PickListRenderer()

Method Detail

### selectItemsForSelectedList

    protected java.util.List<ConvertedSelectItem> selectItemsForSelectedList(java.util.List<ConvertedSelectItem> selectItems)

### getValuesList

    protected java.util.List<java.lang.Object> getValuesList(UIPickList pickList)

### getCurrentValue

    protected java.lang.Object getCurrentValue(javax.faces.context.FacesContext context,
                                               javax.faces.component.UIComponent component)

  Parameters:
    `context` - the FacesContext for the current request
    `component` - the UIComponent whose value we're interested in
  Returns:
    the value to be rendered and formats it if required. Sets to empty string if value is null.

### selectItemsForAvailableList

    protected java.util.List<ConvertedSelectItem> selectItemsForAvailableList(java.util.List<ConvertedSelectItem> selectItems)

### getSelectItemsList

    protected java.util.List<javax.faces.model.SelectItem> getSelectItemsList(javax.faces.context.FacesContext context,
                                                                              javax.faces.component.UIComponent component)

### decode

    public void decode(javax.faces.context.FacesContext context,
                       javax.faces.component.UIComponent component)

  Overrides:
    `decode` in class `org.ajax4jsf.renderkit.RendererBase`

### getConvertedValue

    public java.lang.Object getConvertedValue(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent component,
                                              java.lang.Object submittedValue)
                                       throws javax.faces.convert.ConverterException

  Overrides:
    `getConvertedValue` in class `javax.faces.render.Renderer`
  Throws:
    `javax.faces.convert.ConverterException`

### encodeItem

    public void encodeItem(javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component,
                           ConvertedSelectItem selectItem,
                           boolean source)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeTargetRows

    public void encodeTargetRows(javax.faces.context.FacesContext context,
                                 UIPickList pickList,
                                 PickListRenderer.ListStateFlags flags,
                                 java.util.List<ConvertedSelectItem> convertedItems)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeSourceRows

    public void encodeSourceRows(javax.faces.context.FacesContext context,
                                 UIPickList pickList,
                                 PickListRenderer.ListStateFlags flags,
                                 java.util.List<ConvertedSelectItem> convertedItems)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeSpacer

    protected void encodeSpacer(javax.faces.context.FacesContext context,
                                javax.faces.component.UIComponent component,
                                javax.faces.context.ResponseWriter writer)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeHiddenField

    public void encodeHiddenField(javax.faces.context.FacesContext context,
                                  UIPickList component,
                                  java.util.List<ConvertedSelectItem> lookupList)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### getComponentClass

    protected java.lang.Class<? extends javax.faces.component.UIComponent> getComponentClass()

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

### getAsEventHandler

    public java.lang.String getAsEventHandler(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent component,
                                              java.lang.String attributeName)

### getColumnClassesAsJSArray

    public java.lang.String getColumnClassesAsJSArray(javax.faces.context.FacesContext context,
                                                      javax.faces.component.UIComponent component)

### getRowClassesAsJSArray

    public java.lang.String getRowClassesAsJSArray(javax.faces.context.FacesContext context,
                                                   javax.faces.component.UIComponent component)

### getClassesAsList

    protected java.util.List<java.lang.String> getClassesAsList(javax.faces.context.FacesContext context,
                                                                javax.faces.component.UIComponent component,
                                                                java.lang.String attr)

### encodePickListControlsFacets

    public void encodePickListControlsFacets(javax.faces.context.FacesContext context,
                                             javax.faces.component.UIComponent component,
                                             PickListRenderer.ListStateFlags listStateFlags)
                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeControlFacet

    protected void encodeControlFacet(javax.faces.context.FacesContext context,
                                      javax.faces.component.UIComponent component,
                                      OrderingComponentRendererBase.ControlsHelper helper,
                                      java.lang.String clientId,
                                      javax.faces.context.ResponseWriter writer,
                                      boolean enabled,
                                      java.lang.String baseStyle,
                                      java.lang.String baseControlStyle)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getConvertedItems

    public java.util.List<ConvertedSelectItem> getConvertedItems(javax.faces.context.FacesContext context,
                                                                 UIPickList pickList)

### getCurrentLoader

    protected java.lang.ClassLoader getCurrentLoader(java.lang.Object fallbackClass)

### findLocalisedLabel

    protected java.lang.String findLocalisedLabel(javax.faces.context.FacesContext context,
                                                  java.lang.String propertyId,
                                                  java.lang.String bundleName)

### renderDefaultControl

    protected void renderDefaultControl(javax.faces.context.FacesContext context,
                                        javax.faces.component.UIComponent component,
                                        javax.faces.context.ResponseWriter writer,
                                        OrderingComponentRendererBase.ControlsHelper helper,
                                        java.lang.String clientId,
                                        boolean enabled,
                                        java.lang.String baseStyle,
                                        java.lang.String baseControlStyle)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### reRenderScript

    public void reRenderScript(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.